# saga::steerable Class Reference

The steerable interface is implemented by saga objects which can be steered, i.e. which have writable metrics, and which might allow to add new metrics. More...

`#include <monitorable.hpp>`

Inheritance diagram for saga::steerable:

[legend]

List of all members.

## Public Member Functions
| steerable (saga::object rhs)
| Brief description starts here.
| steerable (saga::impl::object *impl)
| Brief description starts here.
virtual | ~steerable (void)
| Brief description starts here.
virtual bool | add_metric (saga::metric m)
| Adds a metric instance to the application instance.
virtual void | remove_metric (std::string name)
| Removes a metric instance.
virtual void | fire_metric (std::string name)
| Pushes a new metric value to the backend.

## Detailed Description

The steerable interface is implemented by saga objects which can be steered, i.e. which have writable metrics, and which might allow to add new metrics.

Steerable objects also implement the monitorable interface. The method add_metric() allows to implement steerable applications. In particular, the saga::self object is steerable, and allows to add metrics.

## Constructor & Destructor Documentation

saga::steerable::steerable | ( | saga::object | rhs | ) |

Brief description starts here.

saga::steerable::steerable | ( | saga::impl::object * | impl | ) | `[explicit]`

Brief description starts here.

saga::steerable::~steerable | ( | void |  | ) | `[virtual]`

Brief description starts here.

## Member Function Documentation

bool saga::steerable::add_metric | ( | saga::metric | m | ) | `[virtual]`

Adds a metric instance to the application instance.

Parameters:

  | metric | Metric to be added.

Returns:
  Indicates the success.

void saga::steerable::remove_metric | ( | std::string | name | ) | `[virtual]`

Removes a metric instance.

Parameters:

  | name | Identifies the metric to be removed

void saga::steerable::fire_metric | ( | std::string | name | ) | `[virtual]`

Pushes a new metric value to the backend.

Parameters:

  | name | Identifies the metric to be fired.

The documentation for this class was generated from the following files:

- monitorable.hpp
- monitorable.cpp